# CPDCTRL
A python library and interactive command-line utility for measuring CPD (contact potential difference).

To run the interactive utility, launch **Powershell**, activate the python virtual environment and then run the script with `ipython`
```ps1
cd cpdctrl
.\venv\Scripts\Activate.ps1
ipython -i .\cpdctrl\cpdctrl\cpdctrl-interactive.py
```

In the ipython shell, run `help()` to get a list of available functions and help topics.

## Devices
Voltage Measurement:
- **Keithley 2700 SMU** for measuring the voltage (CPD)

Led Controller:
- **Arduino Nano** connected to a **Thorlabs LEDD1B** for controlling the light source (LED)
- **Thorlabs DC2200**
